using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Nop.Plugin.Misc.FruitBankPlugin.Services
{
    internal interface IAIAPIService
    {
        Task<string?> GetSimpleResponseAsync(string systemMessage, string userMessage, string? assistantMessage = null);
        Task<string> GetStreamedResponseAsync(string sessionId, string systemMessage, string userMessage, string? assistantMessage = null);

        string GetApiKey();

        string GetModelName();


    }
}
